Groovy 1.7.10

## org.codehaus.groovy.reflection.stdclasses
[Java] Class CachedClosureClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.CachedClosureClass

    public class CachedClosureClass
    extends CachedClass

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`CachedClosureClass(Class klazz, ClassInfo classInfo)`

Method Summary
`int` | `getMaximumNumberOfParameters()`
`Class[]` | `getParameterTypes()`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CachedClosureClass

    public CachedClosureClass(Class klazz, ClassInfo classInfo)

Method Detail

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

### getParameterTypes

    public Class[] getParameterTypes()

Copyright © 2003-2010 The Codehaus. All rights reserved.